@import url('https://fonts.googleapis.com/css2?family=Archivo:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Space+Grotesk:wght@300..700&display=swap');

:root {
  --brand-color: #7ca2f4;

  --dark: #121214;

  --gray: #f3f7ff;
  --white: #ffffff;
}

body {
  font-family: 'Archivo', sans-serif;
}

/* Reset básico */

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

.container {
  max-width: 76rem; /* 1216px */
  margin-inline: auto; /* centraliza horizontalmente */
  padding-inline: 1rem; /* espaçamento lateral em telas pequenas */
}

.topo-frete {
  display: flex;
  justify-content: center;
  padding: 1.125rem;
  background: #7ca2f4;
}

.topo-frete__texto {
  font-size: 18px;
  font-weight: 500;
}

.hero {
  background: url(img/image-michael-jordan.png) no-repeat center center;
  background-size: cover;
  padding: 4rem 2rem;
  color: var(--white);
  height: 25rem;
}

.destaque-conteudo {
  display: flex;
  flex-direction: column;
}

.destaque__titulo {
  font-weight: 500;
  font-size: 32px;
  margin-bottom: 20px;
}

.destaque__descricao {
  font-size: 24px;
  line-height: 140%;
  max-width: 557px;
}

.hero__logo {
  width: 100%;
  max-width: 203px;
  margin-bottom: 40px;
}

.produtos {
  padding: 4rem 2rem;
  background: #fff;
  text-align: center;
}

.produtos__cabecalho {
  max-width: 76rem;
  margin: 0 auto 3rem;
  gap: 1.5rem;
}

.produtos__titulo {
  font-size: 1.6rem;
  font-weight: bold;
  margin-bottom: 1rem;
}

.produtos__descricao {
  color: var(--dark);
  font-size: 1.2rem;
  line-height: 140%; /* 33.6px */
}

.produtos__grade {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 40px;
  max-width: 1200px;
  margin: 0 auto;
}

.produto {
  border-radius: 8px;
  text-align: left;
  transition: transform 0.3s ease;
}

.produto:hover {
  transform: translateY(-5px);
}

.produto__imagem {
  width: 25rem;
  max-width: 100%;
  border-radius: 4px;
  margin-bottom: 1rem;
}

.nome__do__produto {
  font-size: 1.1rem;
  margin: 0.5rem 0;
}

.produto__categoria {
  font-size: 0.875rem;
  color: var(--brand-color);
  display: block;
  margin-bottom: 0.5rem;
}

.produto__preco {
  color: var(--dark);
  font-weight: 500;
  font-size: 1.25rem;
  font-family: 'Space Grotesk';
  margin-top: 24px;
}

@media screen and (max-width: 480px) {
  .produtos__grade {
    display: flex;
    flex-direction: column;
  }
  .destaque__titulo{
    font-size: 18px;
  }
  .produtos__titulo {
    font-size: 20px;
  }
  .produtos__descricao{
    font-size: 16px;
  }
}
